Wan Spicy: Z-Image Spicy (Text to Image) API Reference

About

Z Image Spicy text-to-image. Square / portrait / landscape compositions, 256–1536px on each side. Integrate this model via REST with endpoint docs, parameters, and code examples.

1. Calling the API

Setup your API Key

To begin using Infron, you first need to create an account and generate your API Key.

Once you have your API key, set it as an environment variable in your runtime environment. This allows your applications to securely access Infron’s API.

export INFRON_KEY="YOUR_API_KEY"

Submit a request

For long-running requests, you can poll for results.

curl https://media.onerouter.pro/v1/images/generations \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d @- <<'EOF'
{
  "model": "wan/z-image-spicy/text-to-image",
  "prompt": "A detailed editorial still life with a blue ceramic cup, soft window light, and a neutral studio background.",
  "size": "1536x1536",
  "enable_prompt_expansion": true,
  "enhance_prompt": true,
  "n": 1,
  "seed": 2147483647
}
EOF

Response with queue task id

The response will look like this:

{
  "code": 200,
  "message": "success",
  "data": {
    "task_id": "851e4b2786104a3e929113a03959d35e",
    "object": "image",
    "model": "wan/z-image-spicy/text-to-image",
    "status": "created",
    "urls": {
      "query": "https://media.onerouter.pro/v1/images/tasks/851e4b2786104a3e929113a03959d35e"
    },
    "created_at": "2026-07-15 05:51:03.35"
  }
}

Fetch request status

You can fetch the status of a request to check if it is completed or still in progress.

curl https://media.onerouter.pro/v1/images/tasks/{task_id} \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" 

# For example
curl https://media.onerouter.pro/v1/images/tasks/851e4b2786104a3e929113a03959d35e \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json"

Response with queue task status query

{
  "code": 200,
  "message": "success",
  "data": {
    "task_id": "851e4b2786104a3e929113a03959d35e",
    "object": "image",
    "model": "wan/z-image-spicy/text-to-image",
    "status": "in_progress",
    "fail_reason": "",
    "submit_time": 1784094663,
    "start_time": 1784094663,
    "finish_time": 0,
    "outputs": [],
    "created_at": "2026-07-15 05:51:03"
  }
}

Possible statuses:

  • created
  • in_progress
  • processing
  • completed
  • failed

created -> in_progress → processing → completed | failed

Poll every 1-2 seconds until status is "completed" or "failed"

Get the result (when status is "completed")

Once the request is completed, you can fetch the result. See the Output Schema for the expected result format.

{
  "code": 200,
  "message": "success",
  "data": {
    "task_id": "851e4b2786104a3e929113a03959d35e",
    "object": "image",
    "model": "wan/z-image-spicy/text-to-image",
    "status": "completed",
    "fail_reason": "",
    "submit_time": 1784094663,
    "start_time": 1784094663,
    "finish_time": 1784094690,
    "outputs": [
      "https://storage.googleapis.com/infron_gcs/image%2Fgenerated%2Fmulerouter_image_ee08905da24849a78788ba63980e18ad.png"
    ],
    "usage": {
      "completion_tokens": 0,
      "image_count": 1,
      "image_quality": "",
      "prompt_tokens": 1,
      "size": "1536x1536",
      "total_tokens": 1,
      "web_search": false
    },
    "cost": {
      "total_cost": 0.014,
      "cost_details": {
        "prompt_cost": 0,
        "completion_cost": 0,
        "image_cost": 0.014,
        "video_cost": 0,
        "audio_cost": 0,
        "native_web_search_cost": 0,
        "plugin_web_search_cost": 0,
        "tools_cost": 0,
        "prompt_cache_read_cost": 0,
        "prompt_cache_write_cost": 0,
        "prompt_cache_write_5_min": 0,
        "prompt_cache_write_1_h": 0,
        "reasoning_cost": 0,
        "discount_rate": 1,
        "is_byok": false,
        "byok_cost": 0
      }
    },
    "created_at": "2026-07-15 05:51:03"
  }
}

2. Schema

Input

ParameterTypeRequiredDefaultRangeDescription
modelstringYes--Explore all modelsModel name.
promptstringYes----Text prompt for generation; Positive text prompt.
sizestringNo1024x1536Width: [256,1536], height: [256,1536]Image size.
enablepromptexpansionbooleanYestruetrue, falseWhether to enable prompt expansion.
enhance_promptbooleanNotruetrue, falseWhether to enhance the prompt.
nintegerNo1[1]Number of videos to generate.
seedintegerNo-->=1The random seed to use for the generation.

Example request

curl https://media.onerouter.pro/v1/images/generations \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d @- <<'EOF'
{
  "model": "wan/z-image-spicy/text-to-image",
  "prompt": "A detailed editorial still life with a blue ceramic cup, soft window light, and a neutral studio background.",
  "size": "1536x1536",
  "enable_prompt_expansion": true,
  "enhance_prompt": true,
  "n": 1,
  "seed": 2147483647
}
EOF

Output

ParameterTypeRangeDescription
codeinteger--Status code of the request.
messagestring--Status message of the request.
dataobject--Data of the task.
data.task_idstring--ID of the task.
data.objectstring--Object type of the task.
data.modelstring--Model name of the task.
data.statusstringcreated, in_progress, processing, completed, failedStatus of the task.
data.fail_reasonstring--Fail reason of the task.
data.submit_timeinteger--Timestamp of the task submission.
data.start_timeinteger--Timestamp of the task start.
data.finish_timeinteger--Timestamp of the task finish.
data.outputsarray--Outputs of the task.
data.created_atstring--Timestamp of the task creation.

Example output

{
  "code": 200,
  "message": "success",
  "data": {
    "task_id": "851e4b2786104a3e929113a03959d35e",
    "object": "image",
    "model": "wan/z-image-spicy/text-to-image",
    "status": "completed",
    "fail_reason": "",
    "submit_time": 1784094663,
    "start_time": 1784094663,
    "finish_time": 1784094690,
    "outputs": [
      "https://storage.googleapis.com/infron_gcs/image%2Fgenerated%2Fmulerouter_image_ee08905da24849a78788ba63980e18ad.png"
    ],
    "usage": {
      "completion_tokens": 0,
      "image_count": 1,
      "image_quality": "",
      "prompt_tokens": 1,
      "size": "1536x1536",
      "total_tokens": 1,
      "web_search": false
    },
    "cost": {
      "total_cost": 0.014,
      "cost_details": {
        "prompt_cost": 0,
        "completion_cost": 0,
        "image_cost": 0.014,
        "video_cost": 0,
        "audio_cost": 0,
        "native_web_search_cost": 0,
        "plugin_web_search_cost": 0,
        "tools_cost": 0,
        "prompt_cache_read_cost": 0,
        "prompt_cache_write_cost": 0,
        "prompt_cache_write_5_min": 0,
        "prompt_cache_write_1_h": 0,
        "reasoning_cost": 0,
        "discount_rate": 1,
        "is_byok": false,
        "byok_cost": 0
      }
    },
    "created_at": "2026-07-15 05:51:03"
  }
}

3. Detailed Pricing

Pricing TypeUnitPrice
Input text--
Input image--
Prompt optimization1 request$0.001
Output image1 image$0.013